Introduction

Figure 1 below is not a photograph. It is a 3-D model created with Geometra using photographs and subsequently rendered by Geometra from a viewpoint from which no photograph was ever taken.

Figure 1: This is not a photograph

Geometra creates 3-D models from ordinary pictures stored as files on computer disk. These pictures may be obtained by familiar processes such a conventional photography, using a scanner to read the images into the computer or digital photography where photographs are loaded onto the computer straight from the camera.

Obtaining a picture of a real world 3-D object is a familiar process. Be it by manual means such as drawing and painting or automatically using photographic or film means.

Deriving information about a real world 3-D object from a single picture is only possible to a very limited extent. Obviously size is lost as a close up picture of a toy car looks a lot like an picture of a real car taken at a larger distance. Also a single picture can only show a single aspect of an object so a photographs of the front of a house will not contain any information about the back of the house. Proper positional information is also lost. Two objects which line up in the view (of the camera) will appear in the same position on the picture.

With multiple pictures most of these limitations are gone. All points on the object that are now visible in two or more pictures can have their position triangulated. The only thing which remains ambiguous is the scale of the object but if this is important it can be restored if even a single measurement on the object is known.

Geometra aids in the construction of 3-D models from pictures. The basic model creation process works as follows.

  1. Take a number of pictures of the object to be modelled and import them into Geometra

  2. Mark out corresponding features in the pictures

  3. Have Geometra calculate the model

A Geometra 3-D model consists of the 3-D positions of a number of points and information on the structures (lines, surfaces) which link up these points to form an object or objects. Geometra can extract photo-textures from the images used to build the model and apply these to the model in perspectively correct fashion.

Once the model has been calculated it can then be used. If measurements are required they can be made directly within the Geometra user interface.

The model can be rendered using Geometra's internal 3-D viewer or the model can be exported in VRML (Virtual Reality Modelling Language) format which is well suited for publication on the internet or in DXF format which is more directly suitable for import into CAD programs. Also it possible to export numerical data on feature co-ordinates for use in spreadsheets or other numerical analysis programs.

Features

  • Geometra can import images in native windows BMP and compressed JPG formats.

  • A single project can use a number of images only limited by machine / memory capacity.

  • Measurements can be made within the Geometra user interface.

  • Numerical measurements are toleranced to give a proper indication of the accuracy of the measurement.

  • Built in 3-D viewer allows viewing of models in both wire-frame and textured form.


Installation and set-up

Minimum system specification

Geometra will run on most PCs running Windows 95, Windows 98 or Windows NT. Requirements and recommendations are as follows:

  • Pentium processor at 133 MHz or more.

  • Graphics card capable of supporting 16 bit (64000 colour) or 24 bit (millions of colours) colour mode. Resolution of 640x480 or higher but at least XGA (1024x768) highly recommended.

Installing the program

If you have an earlier (test) version of Geometra installed then please uninstall that first (see the next section on information on uninstalling).

Before installing Geometra please make sure that your display card is set to High Colour (16 bit) or True Colour (24 bit) graphics mode. The way to do this may well depend on your particular brand of graphics card but on most systems the following will work: right-click on an uncovered part of the desktop. A pop-up menu will appear. Select Properties. When the Display Properties Windows appear select the Settings tab and set the Colour palette entry to 16 bit or 24 bit.

Figure 2: Display Properties Dialog

Having set up the display insert the Geometra CD-ROM into your CD-ROM drive and using the Windows Explorer open the CD-ROM drive. Double-click on the setup.exe entry and the installation will proceed.

Uninstalling the program

To uninstall Geometra use the Add/Remove programs icon in the Windows Control panel as common with all Windows applications. Select Geometra in the applications list and click on the Add/Remove button.

Other considerations

Because Geometra has to manipulate a number of high resolution images at the same time it is a very memory intensive program. Therefore it is important the swap file size not be unnecessarily limited.

In Windows 95 bring up the Control Panel and double click on the System icon. A tabbed dialog box will appear. Select the Performance tab and on the dialog which then appears select the Virtual Memory button. Another dialog will now appear. The Virtual Memory dialog box will now appear. Allow Windows 95 to manage your virtual memory setting by clicking the Let Windows manage my virtual memory settings radio button. Click the OK button on both dialog boxes.

In Windows NT bring up the Control Panel and double click on the System icon. A tabbed dialog box will appear. Select the Performance tab and on the dialog which then appears select the Change button next to the page file size. Set generous sizes for both the Initial size (e.g. 100 MB) and Maximum size (e.g. 500 MB) entries and Click on the Set button. Click the OK button on both dialog boxes.


Tutorial

This tutorial describes how to load, view and use an existing Geometra project, how to set up a Geometra project from scratch, create a simple and a more complex model using Geometra.

Loading and viewing an example project

Start the Geometra program, either by double clicking on the Geometra icon on your desktop (if you chose this option on installation), by clicking on the Geometra icon on the Windows Start bar or by finding Geometra.exe with the Windows Explorer program and double clicking on the Geometra icon there. An empty Geometra workspace as shown in Figure 3 will now be presented.

Figure 3: Empty Geometra Workspace

As Geometra works better when it has maximum screen real-estate available it is useful to maximise the Geometra window either by double clicking on the title bar or by clicking on the window maximisation box of the Geometra window.

To open the example file book.gpf Select the File pull down menu and choose the Open entry on that menu.

Select the Tutorial subdirectory of the main Geometra installation directory and then select the box subdirectory. Now select the Geometra project book.gpf and Geometra will load the images and data used in this project.

To tidy the workspace a little select the Window pull down menu and choose Tile. To make the images fit in the windows use the zoom box (Figure 3) and choose "Fit all".

The screen should now look something like Figure 4.

Figure 4: after opening and window layout of box3.gpf

The six images displayed are the six images that were used in this project to construct a model of a book. In order to see the 3-D model of the book select the View menu and choose 3D Viewer. The screen should now look similar to Figure 5.

Figure 5: 3-D rendering of Geometra box model

With the 3-D Viewer window active it is now possible to manipulate the 3-D model. The [Page Up] and [Page Down] keys zoom in and out. The four cursor keys and the [Home] and [End] keys allow for rotation along various axes.

Rotation can also be performed using the mouse by making sure the cursor is within the 3-D Viewer window, holding down the left mouse button and dragging with the mouse. A little experimentation will soon make it clear how mouse movement relates to rotation.

It is possible to maximise the 3-D Viewer window to occupy the whole of the Geometra workspace using the 3-D View window's maximise button. Figure 6 shows what the 3-D viewer window looks like when it has been maximised and the model of the book has been moved around a little.

Figure 6: Maximised 3-D Viewer window

It is also possible to choose different rendering options for the viewer to see the model as, for example, a wire frame rendering. To do this select the Tools menu and then the Options entry. A tabbed window appears. Select the 3-D Viewer tab. Uncheck the Show Polygons and Texture Mapping boxes but make sure the Show Lines box is checked as shown in Figure 7 and then click on the OK button.

Figure 7: 3-D Viewer properties

The 3-D Viewer window should now update to show a wire-frame representation of the lines in the model as shown in Figure 8.

Other options are also possible. E.g. checking the Show Polygons box but not the Texture mapping box will result in the box being rendered filled in but only in uniform grey rather than with photo textures.

It is also possible to measure the lines which delineate the book, and to obtain the co-ordinates of the vertex points. In order to do this either close or minimise the 3-D Viewer Window. Then maximise one of the view windows to the full Geometra workspace, e.g. the p0000540.jpg window as shown in Figure 9. Choose the To Fit option for this window using the zoom box on the top toolbar.

Figure 8: Wire-frame rendering of book model

Make sure that the pick tool is the currently active tool. You can tell which is the currently active tool by looking at the toolbar to the left of the Geometra workspace. The pick tool is the top tool of the 6 on the toolbar (an arrow) and it is shown selected in Figure 9. If not, select it by clicking on it.

When 3-D models are constructed from separate pictures scale is lost. Fortunately scale can be easily reinstated by entering one known element in a model, e.g. the length of a line-segment of know length.

The height of the book is known to be 236 mm. In order to set this, using the pick-tool, click close to the centre of the lines along the vertical book edges, e.g. the left one in Figure 9. The line will change colour (to a red and white dashed pattern) to indicate it has been selected. Next select the Set scale entry on the Model pull-down menu and enter 236 in the dialog box which pops up and click on the OK button.

Figure 9: Measurement of book height

Measurements can now be very simply obtained by hovering the pick tool over either a line segment (shown dotted on screen) or a vertex point (green crosses). Measurements will be displayed at the left of the status bar at the bottom of the workspace. The length measurement shown was obtained by hovering the cursor over the line at the left hand side of the book as shown in Figure 9.

All lengths of lines in the current image can also be shown at the same time (page *, Setting display options - image windows). To toggle this option on/off press the D key. The resulting image view of the book is shown in Figure 10.

Figure 10: View of book with dimensions shown

In order to close the project select the File menu and then the Close entry. If prompted whether to save changes (because of accidental changes to the Geometra project) select No.

Other examples

There other example files you can load and view in a similar fashion. In the samples subdirectory you will find the arches, psion and face subdirectories which in turn contain the model files arches.gpf, face.gpf and psion.gpf renderings of which are shown in Figure 11, Figure 12 and Figure 13.

Figure 11: Rendering of arches.gpf

Figure 12: Rendering of face.gpf

Figure 13: Rendering of psion.gpf

Constructing a first model

As a first Geometra model construction exercise a simple model will be made of the building known as "F4", the building where Geometra was developed.

Constructing a model with Geometra is process consisting of several basic steps.

  1. Select two or more images of the same scene into the project.

  2. Point out corresponding features in each of these images and mark them with reference points, this is called referencing.

  3. Have Geometra calculate 3-D information from these referenced images.

  4. Add structure desired in the model such as lines and (textured) polygons, return to (2) if desired.

When these steps have been completed to satisfaction it is possible to view the model, export it in various formats and/or make measurements.

In order to start modelling a view of building F4 a new Geometra project will have to be started and some images will have to be added to this project. If Geometra is already started close any project that might be open, otherwise just start up Geometra to obtain an empty workspace.

To start this new project select the File pull down menu and choose the New entry on that menu. Select the Tutorial subdirectory of the main Geometra installation directory and then select the F4 subdirectory. The Add Images dialog should now look similar to Figure 14.

Figure 14: Add Images dialog

Both of these image will have to be selected into this project. To get both at the same time just select building1.jpg and building2.jpg in the usual windows fashion, e.g. hold down the [Control] key and click on first building1.jpg and then building2.jpg. Then click on the Open button and Geometra will proceed to load the images.

Arrange the two image windows in the workspace so that they are both visible in the workspace, either by manual placing and sizing of the windows. Or by using the Tile entry on the Window menu as previously. In either case make the images fit the whole window by using the To Fit zoom box entry on each of the two windows individually or the Fit All zoom box entry to fit both images simultaneously. The workspace should now look something like the one shown in Figure 15 (optimised for this printed documentation).

Figure 15: Two images of F4

The same physical point on the building will appear at different points in the two (in this case) images. In order to avoid confusion two different terms are be used to distinguish these kinds of points.

The physical points are referred to as world-points. World points are unique as a point in space cannot be in more than one place at the same time.

Points in images are referred to as image-points. Image-points are not unique as a single world-point observed in a number of different images (in this case two) will appear in different image-points in each of these images.

Image-points which belong together (because they correspond to the same world point) are linked together by a reference.

So having loaded in these two images the next step is now to reference corresponding image-points in these two images to each other. This is done using the reference tool (see list of tools in Figure 15). The first image-points referenced will be those corresponding to the world-point which is the top foremost corner of the building as shown in Figure 15.

The reference tool can be used in two ways:

  1. To insert and reference new image-points in sequence.

  2. To reference existing image-points to each other.

It is the first mode of use which is the most common and it is also the one we will use now.

Having made sure the reference tool is selected. Left click on the foremost corner image-point first in one image and then in the other. Both image-points will now appear marked by a yellow cross. To indicate that this reference is now complete right click (with the cursor anywhere over either image) and the crosses over the image points will go green indicating that these image points have been referenced.

To verify that both of these image-points have been referenced (i.e. belong to the same world-point) we can turn on point number display. To do this select the Tools menu and then the Options entry. The tabbed options window appears. If not already active select the Edit tab. Make sure the Show numbers entry is checked as in Figure 16.

Figure 16: Edit options

Alternatively number display can be toggled on and off by pressing the N key whilst editing, i.e. with the cursor over one of the two images.

One reference is not enough to be able to reconstruct a 3-D model though so a few more will have to be entered using the reference tool: clicking on an image point in one image (yellow cross appears), left clicking on the corresponding image point in the other image (second yellow cross appears) and then right clicking to complete the reference (both crosses turn green).

Figure 17: Six references entered

Suggested references are shown (with point numbers displayed) in Figure 17.

In order to make a model some structure needs to be attached to world points. The simplest example of such structure is lines.

Fist check that line are set to display while in edit mode by selecting the Tools menu and then the Options entry. The tabbed options window appears. If not already active select the Edit tab. Make sure the Show lines entry is checked as in Figure 16. Again there is a keyboard shortcut and line display can be toggled on and off by pressing the L key whilst editing, i.e. with the cursor over one of the two images.

In order to insert some lines start by selecting the line tool (Figure 15). Start by drawing four lines delineating the rectangle with corner points 1,2,5 and 6. With the line tool active (an appropriate cursor will appear) click on or near the image-point labelled 1 in the first image. Next click on or near the image-point labelled two, then 5, then 6... To stop drawing this continuous series of lines right click.

The Geometra workspace should now look something like Figure 18 with the rectangle (sequence of four lines) displayed in both images, not only the one in which it was drawn. This is because, through the referencing, these points are known to correspond to the same world points.

Figure 18: One rectangle entered

Now the second rectangle can be entered as well, this time doing it as separate lines: in either image click on image-point 3, click on image-point 4 and then right click. Do the same between 1 and 3 and then 2 and 4. There will now be a second rectangle defined as shown in Figure 19.

Figure 19: Two rectangles, seven lines entered

Before anything 3-D can be done with these lines (display them in the 3-D viewer, export a model, etc...) Geometra must calculate the 3-D positions of the world-points from the entered 2-D positions of the image-points and the references tying them together. In order to do this choose the Calculate entry on the Model menu.

Once the calculation has finished we can view the wire-frame model in the internal Geometra 3-D viewer. First, as before with the box model make sure that line display is set on for the 3-D viewer (Figure 7). When a 3-D viewer window is actually displayed and has focus then line display can also be toggled using the L key.

Pull up a 3-D viewer window and the Geometra workspace should look something like Figure 20.

Figure 20: Wire-frame view of F4 model

The wire-frame can be moved around using either cursor keys or mouse as before.

To make for a more interesting model it is desirable to add some textured polygons as well. In this particular example the texture will be extracted from the leftmost image as shown in the figures. Move the current 3-D viewer window out of the way as shown in Figure 21.

The process for entering polygons is very similar to the process for entering lines. Start by selecting the polygon tool (Figure 15). The cursor will change to the polygon tool cursor.

Make sure that polygon display in edit mode is switched on by checking under the Edit tab of the Geometra option dialog (Figure 16) and making sure that the Show polygons box is checked.

As a first polygon enter the triangle between points 1,2 and 6. Click on point one, left click on point two and left click on point 6 then right-click. A shaded triangle should now appear superimposed on the image and the 3-D viewer window should update to look like Figure 21.

Figure 21: One triangular polygon

The triangle between 2,5 and 6 can be added in similar fashion. With the polygon tool still selected click on point 2, left click on point 5 and left click on point 6 then right-click. Another shaded triangle will appear in the image window and the 3-D viewer will again automatically update.

It is also possible to add polygons with four vertices. The difference with triangular polygons is simply that it is no longer necessary to complete the operation by right clicking.

Using this feature the polygon spanned by 1,2,4,3 can be added in one go: With the polygon tool still selected click on point 1, left click on point 2 and left click on point 4 then left click on point 3. A shaded rectangle will appear in the image and the 3-D viewer window will again update to look like Figure 22.

Figure 22: Two sides of F4

To make the model look more natural switch off the 3-D Viewer wire-frame display again using either the Geometra properties dialog or by pressing the L key while the 3-D Viewer window has the focus. Make the 3-D Viewer window a little larger and manipulate the model a little, look at it from a perspective a little different from the ones in the two original pictures.

Figure 23: F4 from a different perspective

At this point it might be a good idea to save a version of the project. To do this select the Save As entry on the File menu. The selected directory should still be F4. Just enter f4.gpf (or any other name you wish) as the file name.

Figure 24: Save As dialog

In case mistakes are made when entering, points, lines or polygons it is of course also possible to edit and/or delete them. Or select Undo from the Edit menu (keyboard shortcut [Control]-Z) to undo the last actions or actions performed. More information on undo functionality can be found on page * in the section titled Undoing mistakes.

Move the 3-D Viewer window out of the way again as before. To move a point make the pick tool active (if it isn't already) by clicking on the pick tool button (Figure 15). In order to try out moving a point we will (temporarily) misplace image-point 4. This can be done easily by positioning the pick tool over image-point 4, clicking the left mouse button and holding it down, dragging until the desired new position for point 4 is reached and then releasing the left mouse button. The result of a move of point 4 in the first image is shown in Figure 25.

Figure 25: Misplaced point

You might have noticed that the 3-D Viewer didn't update as a result of this move. Because the calculations can be a little time-consuming actual calculation of 3-D positions is only performed on request, when invoked by the Model, Calculate menu entries. Doing so now would give unpredictable results because the two image-points referenced as 4 no longer properly correspond to a single world point! If you try it you might get something like Figure 26, with a warning depending on exactly where you misplaced the point.

If you did try this then move point 4 back to it's proper position again using the pick tool (or use undo) and Select the Calculate entry on the Model menu. If you misplaced point 4 really badly before then it might be that this doesn't make the model bounce back into shape immediately. In that case select the Reset Calculation entry on the Model menu and then the Calculate entry on the Model menu.

Figure 26: Reference 4 is wrong

If that still doesn't work then close the Geometra project (File menu, Close entry), re-open the file you saved earlier (File menu, Open entry) and re-arrange windows and viewing options as before. In general, as with all software, it is advisable to save your work often.

Polygons cannot be moved by themselves but they can be moved by moving the image points to which they are attached, as happened in the previous example. It is also possible to delete undesired polygons. In order to do this a polygon should first be selected. Make sure the pick tool is the currently selected tool and click approximately in the centre of the polygon spanned by 2,5 and 6. The polygon should now turn red as shown in Figure 27.

Figure 27: Selected polygon

Another polygon can be selected by clicking inside another polygon or a selected polygon can be de-selected by clicking within the image but outside of any polygon, e.g. in the blue sky. For now make sure the polygon is selected as in Figure 27.

The polygon can now be very simply deleted by pressing the Delete key (or selecting Delete on the Edit menu). The 3-D viewer window should also update to reflect the deletion of the polygon as in Figure 28.

Figure 28: Model with a polygon deleted

As the polygon should actually be there it is best to enter it again. Either use undo ([Control]-Z) or select the polygon tool then click on point 2, left click on point 5, click on point 6 and right click to finish the polygon (as this is a triangle and not a rectangle). The model should now return to a state similar to Figure 23.

In order to improve the accuracy of the model it can be desirable to zoom in on the image points in order to be able to position them with greater accuracy. As an example we zoom in on the image-point at the lower right corner of the rectangular polygon (number 4). This could be done by selecting a zoom factor in the zoom box then using the scroll bars to position the displayed image portion to be in the window in this instance use the zoom tool.

First turn off polygon display by un-checking the Display polygons box under the Edit tab of the Geometra options dialog or just by pressing P with the cursor over an image window.

Make the zoom tool active by clicking on the zoom tool button (Figure 15). To zoom in on the area at the lower right hand corner of the building position the zoom tool to the top left of the corner of the frame of the window at the bottom right of the building, click and hold down the mouse button. Drag the rectangle over the area desired, i.e. to just below and to the right of point 4 and then release the left mouse button. The zoomed view should look similar to the one in Figure 29.

Figure 29: Zoom-in on corner

If the zoom hasn't gone quite as desired it is easy to return the image to full size (use the F keyboard shortcut to fit the image to the window) and try again using the zoom tool.

With the zoom done it is now possible to position point 4 in this image very accurately. Activate the pick tool and accurately position point 4 over the lower right corner of the wall. As this is actually obscured by the fan-unit accurate positioning is aided by using the two lines (lining them up with the horizontal and vertical edges of the wall). With the point still selected it is also possible to fine tune it's position using the [Left],[Right],[Up] and [Down] cursor keys without using the mouse.

To really increase the accuracy of the model the position of all six image points in both of the images will have to be refined like this. There are several ways this could be done. Use the scroll bars to scroll the view of the image left to point 2, reposition that, then 5... Or just use the zoom box or F key to return the window to a To Fit state and use the zoom tool to zoom in on individual points. In any case remember to adjust the points in both images.

Having refined all the point positions Model, Calculate again is again in order to have the model re-calculated. If the 3-D Viewer window was closed while fine-tuning the image-points then open a new one just to verify the model is still present and correct. If so, this is a good time to save the project again. From the File menu select Save.

Accuracy can be further enhanced by adding some more referenced image-point pairs. Even if these don't yield a more detailed shape in terms of the number of polygons in the model they will allow Geometra to more accurately estimate 3-D shape from the referenced image-point sets. In fact the number of references used in this tutorial example (6) is very low. We would recommend 12 as least.

Add in a few now. Using the reference tool as before. Perhaps with the zoom for both images already set to 100% or higher so you can put the references in proper position right away. Also note that there is a way of saving mouse-clicks. When entering a reference it is possible (with the reference tool active) to click on an image-point in the first image, then click on the corresponding image-point in the right image. The reference can now be finished by right-clicking or simply by starting a new one by clicking an image-point in the first image again. This will automatically finish the previous reference. Geometra is aware of the fact that how ever many images you may be referencing, a reference always has to be between points in different images so the fact that you are again clicking in an image where you started a previous reference must mean that you finished it and you are starting a new one.

Figure 30: A few more references added to the project

Figure 30 shows the workspace after a few more references have been added in.

Try opening another 3-D Viewer window and examining the model one more time. Remember the keyboard shortcuts you can use in the 3-D Viewer: L toggles the display of lines, P toggles the display of polygons and T toggles the display of texture (but only if polygon display is actually on).

Assuming the operations to have been successful save the file again.

Having successfully made a model we can now export it in VRML format. Before doing this check the VRML export options (Tools, Options, under the VRML tab). The relevant dialog window is shown in Figure 31.

Figure 31: VRML export options

The three check boxes refer to which model elements will be exported and have much the meaning as in the internal Geometra 3-D Viewer, so the most common settings (as shown in the figure) will be to export polygons with textures and not lines.

The texture map height and width boxes refer to the dimensions of the texture bitmaps which will be exported along with each textured polygon. It obviously doesn't make too much sense to make this dimension larger than the image size of the input images. Equally an 8x8 texture will not look very good at any significant magnification. Choosing a reasonable dimension as shown in the figure is best. As JPEG compression is used on the textures choosing a slightly larger texture map will not be penalised by much larger file size.

Figure 32: VRML export

So select the Export entry from the File menu (as in Figure 32) and select the VRML sub-option as also shown.

The Export VRML dialog box (Figure 33) will now appear. Create a subdirectory of the F4 directory and call it vrml. This can be done by selecting the F4 directory (if not already selected) and then using the new folder button (the one with the cursor over it in Figure 33).

Figure 33: VRML file export dialog

Having done this enter the newly created vrml subdirectory (by double clicking on the vrml folder icon) and then enter the desired file name in the File name text box, e.g. f4.wrl and click on the save button.

The files which make up the VRML model (Figure 34) should now be saved ready for use in whatever web-publishing tool or VRML authoring tool may be desired.

Figure 34: VRML files


Planning

Planning and executing a project

As outlined in the introduction and tutorial of this manual the 3-D model making process consists of collecting a number of pictures of the object of interest, pointing out features in Geometra and then letting the program generate the model.

Taking pictures for creating Geometra models

The pictures can be collected using any means available to the user. It is possible to scan prints or negatives of conventional photographs, use a digital photo camera or even a digital video camera, with suitable image capture hardware and software, if preferred. Just as long as the images become available for Geometra in digital form on disk (JPEG and Windows BMP formats currently supported).

Some fundamental guidelines for taking and manipulating pictures to be used in Geometra are given in the following.

If photographs are scanned they should all be scanned at the same resolution and be therefore the resulting image files should be the same size. Scanned images should correspond to the whole photograph. Given the fact that the scanning process usually involves manual selection of the photo area it can be difficult to achieve this exactly therefore Geometra allows image dimensions to vary by ± 5%. Images which differ in size by more than this will be rejected by Geometra.

Under no circumstances should any images, be they scanned or acquired directly by electronic means, ever be cropped "to the interesting part" as this is in conflict with the physical model underlying the calculations which Geometra uses to calculate the 3-D model.

Anything which is to be included in the model must be visible in at least two or more pictures. This is why the minimum number of pictures for a Geometra project is two.

If at all possible images should be taken from differing and fairly evenly spaced viewpoints. Two pictures taken from the same viewpoint don't add very much as for all intents and purposes they are actually the same picture. The "box" example in the tutorial is a case in point with the six views distributed evenly round the box and every point on the box visible in at least two or more images.

Figure 35: Different shot set-ups

A schematic example of this is shown in Figure 35. The good shot set-up (on the left) has the pictures show from viewpoints evenly spaced round the object. All points on the object will be visible in two or more pictures and with well marked references accuracy will be good. The shot set-up on the right is inferior. All four pictures show only one side of the object and they will also exhibit a very large degree of similarity. Attempts to construct a model using using these pictures will result in low accuracy or even complete failure of the Geometra calculation.

If in doubt as to whether to use two or three pictures, use three. Both accuracy and reliability of Geometra are better when using three or more pictures.

More referenced image points also increase accuracy and reliability. Especially if accurately positioned.

If perhaps the object of interest is not very rich in features which can be pointed out then consider adding some auxiliary ones using little paper stickers from a stationery store or temporary marks using some kind of removable-ink pen or marker.

If necessary additional images can be added to a project at a later time using File, Add Images. Images can be removed from projects by closing them (using the Close button at the top right of the image window) within the Geometra workspace.

If you have other photo manipulation software available to you, you might want to pre-process your images with that in order to enhance some image characteristics if need be.


Reference

This chapter contains information on some of the basic procedures involved in building and working with Geometra models as well listing details for options and settings of Geometra.

Basic Procedures

This section lists and described the basic component procedures and actions which together constitute working on a Geometra project.

Starting a new project

To start a new project select the File pull down menu and choose the New entry on that menu. An Add Images dialog similar to the one shown in Figure 36 will appear. If necessary navigate the directory structure to reach the directory in which your image files are located.

Figure 36: Add Images dialog

Having reached the directory which contains the image files select all the image files you want to use in this Geometra project using the usual Windows means for selecting multiple files. To select a contiguous group of files click on the first file name, hold down [Shift] and click on the last file name. To select a random selection of files click on the first file name, hold down [Control] and click on all other individual files you want to select before releasing [Control].

Then click on the Open button in the dialog box and Geometra will proceed to load the images into the Geometra workspace.

Adding images to a project

It is possible to add new images to an existing Geometra project. With the project to which images are to be added open in the Geometra workspace select the File pull down menu and choose the Add Images entry on that menu. The Add Images dialog (similar to the one shown in Figure 36) will appear. If necessary navigate the directory structure to reach the directory in which your image files are located. Having reached the directory which contains the image files select all the image files you want to add to this Geometra project using the usual Windows means for selecting multiple files. To select a contiguous group of files click on the first file name, hold down [Shift] and click on the last file name. To select a random selection of files click on the first file name, hold down [Control] and click on all other individual files you want to select before releasing [Control].

Then click on the Open button in the dialog box and Geometra will proceed to load the images into the Geometra workspace, adding them to the project which was already open.

Removing images from a project

To remove an image (and all image points within it) from a project click on that image's close button (the button at the very right of the image window's title bar, next to the minimise and maximise buttons). The Remove Image dialog will appear. Click OK to remove the image.

Replacing an image

To replace an image make sure that the image window it is represented in has focus (it's title bar is highlighted) then select Replace Image from the File menu. The Replace Image dialog appears. Select the image file you wish to replace the current image from and click on Open. The current image will be replaced.

There can be several reasons for replacing images in Geometra. For instance, images might have been contrast adjusted or histogram equalised in external software and then saved under a name which is different from the original file. As the geometry of these images will of course be totally the same as those of the original image they can be substituted directly for these original images in the project.

A more advanced technique is to place small markers (e.g. stickers) on the object to be modelled. These markers are easy to find and click on to insert image-points thus making it easier to make a model. However they will also appear in the texture of the model produced and this is less desirable. Fortunately such markers would be placed in areas of uniform texture (e.g. plain coloured surfaces) where there are no other features to place image points on. In such areas it is very easy to photo-edit the markers away using (third party) photo-editing software to obscure the markers using similar local texture (with copy and paste or a 'clone' tool).

The whole procedure would then be to build the model in Geometra using the images with markers on the object(s) to be modelled. Next remove the markers from the images by photo-editing and save the images under a (slightly) different name. Replace the original images in the Geometra project with the edited ones and export or work with the model as desired.

Saving a project

A project which already has a name can be saved by selecting the File pull-down menu and choosing the Save entry or click on the save button on the top toolbar (the button marked with a floppy disc).

A project which has been saved previously will be automatically saved. If the project has been newly created then the Save As dialog will come up prompting for a file name before the file can be saved.

It is highly recommended to save the Geometra project file in the same directory as the images used in the Geometra project.

Setting the focal length

In order for Geometra to be able to perform it's calculations properly it needs to know the approximate focal length of the camera used to take the pictures used in building the model. Conventional 35mm cameras usually have the focal length stated on the lens, e.g. a 50 mm lens. It is not usually possible to tell the effective focal length of a zoom lens except when it is either fully zoomed in or fully zoomed out, e.g. a 35-70 zoom lens will have a 70 mm focal length fully zoomed in and a 35 mm focal length fully zoomed out. Geometra can work directly with these focal length values.

The focal lengths stated on digital cameras are usually 35 mm equivalents which Geometra can use directly.

To set the focal length for a new or existing project select Model on the pull-down menu, then the Set entry and Focal Length. In the dialog box enter the appropriate (35 mm equivalent) focal length and click on the OK button. This need only be done once as the focal length will be save (and subsequently loaded) with the Geometra project.

Inserting image-points

Image-points can be inserted in images using either the point tool or the reference tool. The difference lying in the fact that points inserted with the reference tool are automatically referenced to each other.

To insert a point using the point tool make sure the point tool is active, then click on the desired location in the image where the point should be inserted. As the point inserted is unreferenced it will be marked with a red cross.

To insert a point using the reference tool make sure the reference tool is active and then click on the desired location in the image where the point should be inserted. A yellow cross will appear. For each point which you would like to insert in other images and make part of the same reference click on the appropriate-image location, these points will again be marked with a yellow cross. To finish the reference, thus ensuring that subsequently inserted image-points belong to a new reference right-click anywhere in any image. To indicate that the inserted points have been properly referenced the crosses which mark their locations will turn green.

If a point is inserted in an image which has already has a point inserted in it but the reference for that previous point hasn't yet been finalised by right-clicking then Geometra will conclude that a new reference is desired (as the same world-point cannot appear at two different places in the same image) and first reference together the previously entered points (which will turn from yellow to green), start a new reference and then insert the desired point which will appear denoted by a yellow cross.

Deleting image-points

To delete an image-point click on it using the pick tool. The image-point will turn yellow. Press [Delete] to delete the point.

Referencing existing image-points

To start referencing together existing points activate the reference tool. Click on the first of the series of points which you wish to reference together. It's cross mark will turn yellow. Next click on the points (in other images) which you wish to share a common reference with this point, as you click them they will turn yellow. To close off the reference right-click anywhere in any image.

As with the inserting of image-points (page *, Inserting image-points), if a point is inserted in an image which has already has a point inserted in it but the reference for that previous point hasn't yet been finalised by right-clicking then Geometra will conclude that a new reference is desired (as the same world-point cannot appear at two different places in the same image) and first reference together the previously entered points (which will turn from yellow to green). The point last clicked will turn yellow and subsequently clicked points will now be referenced to this point.

Moving image-points

To move an existing image-point use the pick tool. With the pick tool active click on the cross denoting the point in question (it will turn yellow). Hold down the left mouse button and drag the point until you have reached the desired new position then release the left mouse-button.

It is not necessary to click exactly on the centre of the cross in question. There is a tolerance setting whereby clicking with the pick tool within a radius of a certain number of (screen) pixels of a given image-point that point will be selected. This tolerance can be set in the Edit section of the Options dialog (elsewhere in this chapter). Setting this tolerance high allows compensates for inaccurate clicking in selection but may give problems with use of the reference tool as it can lead to an ambiguity as to whether a new point is being inserted or a reference is being made to an existing point (within the tolerance radius).

The default setting for this tolerance is 10 pixels but it may be desirable to adjust it depending on personal preferences and the nature of your project.

If a single image-point (and nothing else) is currently selected then it can also be moved a screen pixel at the time within the currently active image window using the [Left], [Right], [Up] and [Down] cursor keys. This allows for very accurate pixel positioning when using zoomed images, one screen pixel at a 1600% zoom setting corresponds to 0.0625 image pixels.

When moving a point in a project which has been (correctly) calculated at least once before holding down the [Shift] while moving the point constrains it's movement to the epipolar line for that point and that epipolar line will be shown on screen.. In fact holding down the [Shift] key with one or more points selected will result in display of the epipolar line(s) in question being display as long as [Shift] is held down. In practice this means that it is possible to place corresponding points on edges which are curved but not have clear angular features. For example in the situation sketched in Figure 33 an image-point, A, is inserted on the edge of the circle in Image 1.

Figure 37: Epipolar line constraint

Because the circle in has no hard corners or features point B can only be positioned approximately visually. Using the epipolar constraint function it can still be accurately positioned though. Moving point B with the [Shift] key held down results in the epipolar line being shown in Image 2 (as in Figure 37) and movement of B being constrained to lie along this line. As the line intersects the clean edge of the circle it is now possible to accurately position B.

For this to work the epipolar geometry should be known. This means that a sufficient number of points should already have been calculated in the model before points are inserted and modified along epipolar lines as described above.

Selecting objects

All selection points, lines and polygons (objects) within Geometra is done using the pick tool on the Edit toolbar so this tool must be activated before any selection is done.

To select an image point click on it. It will turn yellow to indicate it has been selected.

To select a line click on or near it's centre. The line will be shown in a red and white dashed pattern to indicate it has been selected.

To select a polygon click anywhere inside of the polygon. The polygon will be shaded in red to indicate it has been selected. Note that if any of the sides have also been defined as lines then clicking to close to the line which is the polygon edge will result in the line being selected instead of the polygon.

To select a number of objects in a rectangular area click on one corner of the area within which you wish to select and holding down the left mouse button drag to the opposite corner of the selection area. The rectangle enclosing the are will be shown on screen while dragging. When the opposite corner has been reached release the left mouse button and all the objects within the area defined will be selected and displayed as selected.

Using this area selection method is also a good way of selecting a single image point without accidentally moving it - simply select it within a small rectangular area.

Holding down the [Control] key while making a selection results in the selection being added to the previous selection. If [Control] is not held down while making a selection then all the previous selections are cleared and only the most recent selection is effectuated.

To un-select any selected objects it simply click elsewhere in the image, away from any objects and all selections will be cleared.

Inserting lines

Lines can be inserted between image-points in the same image. If these image-points have been referenced (to image-points in other images) then these lines will also be displayed in other image windows as appropriate if line display is turned on. Lines will be displayed in the 3-D viewer if line display for that is turned on and the referenced points have also had their 3-D positions calculated by Geometra. Lines can be exported to DXF (default) and VRML files (optional) if desired.

To insert lines make sure the line tool is selected on the Edit toolbar. The line tool cursor will be displayed. Click on the point where you want the line-segment to start. Next click on the point where you want the line-segment to end. A black and white dashed line will appear between the two image-points. If a single line-segment was desired right-click anywhere in the image to conclude entry of this line. If additional line-segments are required click on the next image-points in the appropriate order and right-click after having clicked the last one.

On right-clicking to conclude the line entry all other image-windows and 3-D viewer windows will be adjusted as appropriate, depending on display settings.

Deleting lines

To delete a line it must first be selected. Make sure the pick tool is the active tool on the Edit toolbar. Click on or near the centre of the line to be selected and deleted. The line will change from a black/white dashed pattern to a red-white dashed pattern to indicate it has been selected. Press the [Delete] key and the selected line will be deleted from the project and any image or 3-D viewer windows it may have been shown in.

Inserting polygons

Polygons spanned by 3 or 4 image-points can be inserted if these points are all present in the same image. If these image-points have been referenced (to image-points in other images) then these polygons will also be displayed in other image windows as appropriate if polygon display is turned on. Polygons will be displayed in the 3-D viewer if polygon display for that is turned on and the referenced points have also had their 3-D positions calculated by Geometra. Polygons can be exported to DXF (without texture) and VRML files (with or without texture) if desired.

To insert polygons make sure the polygon tool is selected on the Edit toolbar. The polygon tool cursor will be displayed. Click on the first corner point (an existing image point) where you want to start building the polygon. Next click on the second corner point of the polygon. Moving the mouse and cursor about now results in the triangle spanned by the two clicked points and the cursor position being shown in inverse video. Click on the third point of the polygon. If the desired polygon was the triangle now shown right-click and the polygon will be defined. If a quadrilateral was desired then click on the fourth corner point. No right-click is required to finish entering a quadrilateral.

On concluding the polygon entry all other image-windows and 3-D viewer windows will be adjusted as appropriate, depending on display settings.

Deleting polygons

Select the polygon or polygons (page * , Selecting objects) to be deleted. Press the [Delete] key and the selected polygon(s) will be deleted from the project and relevant image or 3-D viewer windows.

Setting display options - image windows

There are a number of options which influence what is displayed (or not) in image windows. For more information see also the section Keyboard shortcuts on page * and the section Options - Edit on page *.

Effective use of these options can make a great deal of difference, making working on Geometra faster, more effective and also more pleasant.

The most basic option is whether to display image-points or not. This option can be set in the Geometra Options dialog or toggled using the R key. Possible reasons for turning this option off could be as a part of turning off all display options to get a totally clear view of an image or images or it could be handy in deleting a group of lines or polygons without also deleting the points which span them. To do this make sure that the objects to be deleted are display but the image-points are not. With the pick tool select all objects in the relevant area and delete them using the [Delete] key. On turning image-point display back on the image-points will still be there as objects which are not displayed cannot be selected or deleted.

The option to display point numbers (via dialog or toggled using the N key) only has effect if image-point display is turned on as it is not sensible to display a point number of a point which is not displayed. This option can be very useful in tracking down incorrect references where an image point has simply been misplaced or two or more image points have been referenced together without them corresponding to the same world-point as they should.

In tracking down such errors it can also be useful to turn on the display of residual errors (via dialog or toggled using the E key). The residual is basically the difference between the position of a clicked image-point and the re-projection of the calculated corresponding world-point into the image. Therefore residual display only makes sense after calculating the model. Ideally this residual should be zero. In practice it never is.

In the example shown in Figure 38 it is the referenced point 18 which has been misplaced.

Points 16 and 22 do not display any visible residual error as they have been properly referenced and accurately placed. Point 18 has been misplaced it's location in the two images corresponds to two different world points. This problem can easily be solved by moving point 18 to the correct location in the left image. The displayed residual error will decrease as the point is moved, disappearing (at least visibly) as the point reached the correct location. After correcting such an error it is usually advisable to re-calculate the model.

Figure 38: Residual error caused by misplaced image-point

As residuals on good models should be very small it is usually necessary to magnify the residual by a certain factor to make it visible (page *, Options - Edit).

Another option is whether to display lines or not. This option can be set in the Geometra Options dialog or toggled using the L key. This option is often used in conjunction with the option to display line lengths (toggled using the D key) to show dimensional information for an object (page *, Options - Edit).

Setting display options - 3-D viewer windows

There are a number of options which influence what is displayed (or not) in 3-D viewer windows. For more information see also the section Options - 3D Viewer on page *.

The most common of these are again accessible through keyboard shortcuts with L toggling display of lines, P display of polygons and, if polygons are displayed then T toggles whether they are displayed with (extracted) photo-textures or just shaded in uniform grey.

Undoing mistakes

As is common with many applications Geometra provides an undo function which makes it possible to reverse editing actions which turned out not to be desirable. To undo an action either select Undo from the Edit menu or press [Control]-Z. The last action performed (providing it wasn't the removal of an image) will be undone.

Actions which can be reversed using the undo function are:

  • addition of points, lines or polygons

  • deletion of points, lines or polygons

  • repositioning of points

  • referencing of points

These actions can be also be undone sequentially, i.e. subsequent invocations of undo will undo editing actions in the reverse order in which they were originally performed.

The one editing action which cannot be undone is removal of an image from a project.

Calculating a model

There are a number of circumstances which make it necessary to calculate or re-calculate a model. These circumstances are:

  • When a model has been newly set-up and some points (and other structure) have been added in the images

  • After new points have been added, existing points have been moved or references have been added

  • When parameters affecting the calculation algorithm itself have been changed

To have calculation performed select Calculate on the Model menu or click on the Calculate button on the main toolbar.

Before starting the calculation Geometra will do some basic checks to see if any conditions apply which make successful generation of a 3-D model less likely. If necessary warnings are issued.

  • If there is only one image in the project as warning will be issued to say that Geometra cannot calculate 3-D models using a single image. No calculation will be performed.

  • If there are only two images in the project (as opposed to three or more) a warning will be issued pointing out that use of only two images will lead to limited accuracy of the results. The user is given the choice of proceeding with the calculation or aborting it.

  • If there are images in the project which have fewer than ten points, referenced to any other image a warning will be issued. The user is given the choice of proceeding with the calculation or aborting it.

While the program is calculating the text "Calculating..." is shown at the left of the status bar at the bottom of the Geometra workspace with the dots flashing. On completion "Done" will be displayed in the same place.

On completion of the calculation, if the largest residual error for any point in the project is larger than the threshold value set under the Calculation tab in the Options dialog (page *, Options - Calculation) then Geometra will show a warning informing the user which point this is and how large the residual error for this point is.

Due to the complex nature of the calculation which Geometra has to perform to find 3-D shape from the co-ordinates of referenced points it is sometimes possible for it to "get lost" and come up with a solution which makes no visual sense (even if it does in the mathematical sense of the calculation process). When this happens it will be immediately and visibly obvious when looking at the model in the a 3-D viewer window because the model will look nothing like reality. Conversely, if the model looks right in the 3-D viewer window then it will be as good as Geometra can make it.

If Geometra does come up with a solution which makes no visual sense then it can sometimes help to reset the calculation so it doesn't start looking for a new solution based on previous results (which are now wrong). To do this select Reset Calculation from the Model menu and then start the calculation again using either the Calculate entry on the Model menu or the calculate button on the main toolbar.

If the results are still wrong after trying this a couple of times then it may be wise to review the project to see if there are enough points in images taken from sufficiently different perspectives. Reviewing any warnings given at the beginning of the calculation can also be useful.

Very occasionally the calculation may take a very long time, seemingly to "hanging" the program. To abort such a calculation Select Stop Calculation from the Model menu. Resetting the calculation and/or adding or improving references may help the calculation run the next time.

The options to estimate and compensate for radial lens distortion dialog (page *, Options - Calculation) can be useful if the camera used suffers from strong radial lens distortion, i.e. if straight lines which don't pass through the centre of the image appear to be curved, the effect getting more pronounced towards the edges of the image. In order for the first order (k1) and second order (k2) radial distortion parameters to be estimated effectively a higher than usual number of referenced points is required. A low point count which will only just produce a visually correct Geometra model will not be sufficient to accurately determine distortion parameters - in such a case distortion parameter calculation is best turned off.

Having Geometra calculate the (exact) focal length of the camera used is usually a good idea. If the images in the project were taken with different camera zoom settings (focal lengths) or even with different cameras then it even becomes necessary for successful project completion. As with the calculation of distortion parameters (or any parameters) results will be better with more good referenced point sets.

Setting model scale

Based on referenced points in images Geometra can determine 3-D shape but not scale. In order for measurements in the project to be correctly scaled it is necessary to tell Geometra the exact length of one line within the Geometra project. After that all measurements within the project will be correctly scaled.

To set the model scale select the line for which a length is to be entered. Then click on the Set Scale entry on the Model menu. The Set Model Scale dialog box appears. Enter the known length of the selected line in the appropriate box and click on the OK button. Dimensioning (Show Line Length) should now work properly and on hovering the pick tool over any line the length of this line should appear in the status bar at the bottom of the Geometra workspace.

Keyboard shortcuts

There are keyboard shortcuts available both for when editing and when using the 3-D viewer. Use of these shortcuts can make the generation of Geometra models much quicker, operating the mouse with one hand, the keyboard with the other.

Fast switching about between images using the keyboard can be done by pressing 1 to switch to image 1, pressing 2 to switch to image 2 and so on. Other keyboard shortcuts are listed in Table 1.

Table 1: Keyboard shortcuts in image windows

Key | Function
A | Display polygons in all image windows
D | Show line lengths (dimensioning)
E | Show residual error
F | Zoom to fit
L | Toggle line display on/off
N | Toggle number display on/off (only if reference display is on)
P | Toggle polygon display on/off
R | Toggle reference display on/off
V | Bring up a new 3-D Viewer window
[Left] | Move a selected image point left by one screen pixel
[Right] | Move a selected image point right by one screen pixel
[Up] | Move a selected image point up by one screen pixel
[Down] | Move a selected image point down by one screen pixel

Table 2: Keyboard shortcuts in 3-D viewer windows

Key | Function
L | Toggle line display on/off
P | Toggle polygon display on/off
T | Toggle texture display on/off (only if polygon display is on)
[Left] | Rotate model
[Right] | Rotate model
[Up] | Rotate model
[Down] | Rotate model
[Home] | Rotate model
[End] | Rotate model
[Page up] | Zoom in (magnify)
[Page down] | Zoom out

The Options Dialogs

Options - Edit

Invoking the Tools menu and then selecting Options brings up a tabbed dialog window. Under the Edit tab you will find the edit window options as shown in Figure 39.

The meaning of the various components in this dialog are as follows.

The Show points check-box determines whether image points are shown (as crosses) in the images or not.

The Show lines check-box determines whether lines (if present) are shown in the image windows or not.

The Show polygons determines whether any polygons entered are shown in the images or not.

Figure 39: Options - Edit

Checking the Show residual check-box results in the residual being shown in the edit windows. The residual is basically the difference between the position of a clicked image-point and the re-projection of the calculated corresponding world-point into the image. Ideally this residual should be zero. In practice it never is. Image-points with a larger residual error may have been slightly misplaced or they may even be tied together by an incorrect reference.

As residuals on good models should be very small it is usually necessary to magnify the residual by a certain factor to make it visible. This factor is shown, and can be changed, in the Residual magnification box. It is usually set to 10.

Figure 40: Residual errors at 30x magnification

In Figure 40 residual errors are shown at a magnification factor of 30 on the tutorial sample model.

With the Show point number box checked image-points are displayed with their reference number next to them.

Lines can be shown with their length displayed halfway along their length by checking the Show line lengths box.

Figure 41: Line length display

The Marker size box allows adjustment of the size of the markers which mark image-points.

The Snap distance box allows adjustment of the snap distance. When a point is clicked with, for example, the reference tool the Geometra software has to decide whether the user is pointing to an existing point or whether he is trying to insert a new one. If the point clicked is closer than the snap-distance to an existing image-point then that point is selected. If further than the snap distance from all existing image-points then a new point is entered.

Options - Calculation

Invoking the Tools menu and then selecting Options brings up a tabbed dialog window. Under the Calculation tab you will find the edit window options as shown in Figure 42.

Figure 42: Options - Calculation

The calculation options influence the way the Geometra calculations are performed. With the Calculate focal length box checked Geometra calculates the focal length of the camera used. Usually a good idea unless this focal length is very accurately known. The two calculate lens distortion boxes determine whether radial lens distortion is calculated or not (this is usually not necessary in simple modelling applications). With the Images were taken with the same camera check box set identical parameters of focal length, etc, are assumed for all the images in the project.

The Give warning... box set the threshold value at which Geometra will warn about points with large residual errors. When on completion of a calculation the image-point with the largest residual error has a residual error of greater than the value set in this box, Geometra will issue a warning informing the user which point this is and what the associated residual error value is. Very often large residual errors correspond to faulty references (two or more image points referenced together when they don't correspond to the same world point) or just not quite accurately positioned image-points.

Options - 3D Viewer

Invoking the Tools menu and then selecting Options brings up a tabbed dialog window. Under the 3D Viewer tab you will find the edit window options as shown in Figure 43.

Figure 43: Options - 3D Viewer

Similar to the edit window situation Show lines and Show polygons boxes determine whether lines and/or polygons are shown in the 3-D Viewer. With the Texture mapping box checked the polygons are shown with the extracted photo-textures (as uniform grey when not checked).

Bilinear interpolation determines whether bilinear interpolation is used in image generation (higher quality) or not (higher speed).

The Increment angle box sets the rotation increment in degrees. Each time a model is rotated in the 3-D Viewer using one of the cursor keys it rotates by this number of degrees.

Options - VRML

Invoking the Tools menu and then selecting Options brings up a tabbed dialog window. Under the VRML tab you will find the edit window options as shown in Figure 44. You can choose whether to have lines and/or polygons with or without texture mapping exported to your model using the Export lines, Export polygons and Export textures check boxes.

The Texture map height and Texture map width boxes are used to set the resolution (size in pixels) of the texture maps exported for each textured polygon.

Figure 44: Options - VRML


Contents

Introduction *

Features *

Installation and set-up *

Minimum system specification *

Installing the program *

Uninstalling the program *

Other considerations *

Tutorial *

Loading and viewing an example project *

Other examples *

Constructing a first model *

Planning and executing a project *

Taking pictures for creating Geometra models *

Reference *

Basic Procedures *

Starting a new project *

Adding images to a project *

Removing images from a project *

Replacing an image *

Saving a project *

Inserting image-points *

Deleting image-points *

Referencing existing image-points *

Moving image-points *

Selecting objects *

Inserting lines *

Deleting lines *

Inserting polygons *

Deleting polygons *

Setting display options - image windows *

Setting display options - 3-D viewer windows *

Undoing mistakes *

Calculating a model *

Setting model scale *

Keyboard shortcuts *

The Options Dialogs *

Options - Edit *

Options - Calculation *

Options - 3D Viewer *

Options - VRML *